Sonoma (MAXREFDES14#) Code Documentation V01.00 Isolated EMP (Energy Measurement Processor)

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Macros Pages
Macros | Functions | Variables
MAXREFDES14.c File Reference
`#include "xparameters.h"`
`#include "stdio.h"`
`#include "xil_printf.h"`
`#include "platform.h"`
`#include "menu.h"`
`#include "utilities.h"`
`#include "maximDeviceSpecificUtilities.h"`
`#include "MAXREFDES14.h"`

Go to the source code of this file.

## Macros
#define | MAJOR_REVISION 01
#define | MINOR_REVISION 00

## Functions
int | main (void)
| Main() function for MAXREFDES14.

## Variables
char | g_sInputString [INPUT_STRING_MAX_SIZE]
XGpio | g_xGpioLed
struct maximOLEDDisplay | g_structureOLED
char | g_sTempString [32]
u8 | font [1024]

## Detailed Description

          Project: Sonoma (MAXREFDES14#)
         Filename: MAXREFDES14.c
      Description: This module contains the Main application for the
                   Digilent Zedboard implementation of the MAXREFDES14
                   example program.

Revision History:
05-31-13 Rev 01.00 GL Initial Release

This code follows the following naming conventions:

char chPmodValue
char (array) sPmodString[16]
float fPmodValue
int nPmodValue
int (array) anPmodValue[16]
u16 uPmodValue
u16 (array) auPmodValue[16]
u8 uchPmodValue
u8 (array) auchPmodBuffer[16]
unsigned int unPmodValue
int * punPmodValue

Definition in file MAXREFDES14.c.

## Macro Definition Documentation

#define MAJOR_REVISION 01

Definition at line 85 of file MAXREFDES14.c.

#define MINOR_REVISION 00

Definition at line 86 of file MAXREFDES14.c.

## Function Documentation

int main | ( | void |  | ) |

Main() function for MAXREFDES14.

Details
  This function sets up and initializes the FPGA and hardware, displays the menu and sampled data via Hyperterminal (or equivalent Terminal program i.e. Teraterm).

Parameters

  None |

Return values

  Always | TRUE

Definition at line 226 of file MAXREFDES14.c.

## Variable Documentation

u8 font[1024]

Definition at line 95 of file MAXREFDES14.c.

char g_sInputString[INPUT_STRING_MAX_SIZE]

Definition at line 90 of file MAXREFDES14.c.

char g_sTempString[32]

Definition at line 93 of file MAXREFDES14.c.

struct maximOLEDDisplay g_structureOLED

Definition at line 92 of file MAXREFDES14.c.

XGpio g_xGpioLed

Definition at line 91 of file MAXREFDES14.c.